package collector_go

import (
	g "loafle.com/overflow/crawler_go/grpc"
	"google.golang.org/grpc"
	"log"
	"context"

)


const (
	address = "192.168.1.105:50052"
)

func CallGet() {

	conn, err := grpc.Dial(address, grpc.WithInsecure())
	if err != nil {
		log.Fatalf("did not connect: %v", err)
	}
	defer conn.Close()


	dc := g.NewDataClient(conn);

	in := &g.Input{}
	
	in.Id = ""
	in.Name = g.Crawlers_HEALTH_DNS



	out, err := dc.Get(context.Background(), in)

	if err != nil {
		log.Println(err)
	}
	log.Println(out)

}